Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSetFromOptions

sets parameters in a `PetscDualSpace` from the options database

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetFromOptions(PetscDualSpace sp)

Collective

## Input Parameter

- sp - the `PetscDualSpace` object to set options for

## Options Database Keys

- -petscdualspace_order order - the approximation order of the space

- -petscdualspace_form_degree deg - the form degree, say 0 for point evaluations, or 2 for area integrals

- -petscdualspace_components c - the number of components, say d for a vector field

- -petscdualspace_refcell celltype - Reference cell type name

- -petscdualspace_lagrange_continuity (true|false) - Flag for continuous element

- -petscdualspace_lagrange_tensor (true|false) - Flag for tensor dual space

- -petscdualspace_lagrange_trimmed (true|false) - Flag for trimmed dual space

- -petscdualspace_lagrange_node_type nodetype - Lagrange node location type

- -petscdualspace_lagrange_node_endpoints (true|false) - Flag for nodes that include endpoints

- -petscdualspace_lagrange_node_exponent exponent - Gauss-Jacobi weight function exponent

- -petscdualspace_lagrange_use_moments (true|false) - Use moments (where appropriate) for functionals

- -petscdualspace_lagrange_moment_order order - Quadrature order for moment functionals

## See Also

`PetscDualSpaceView()`, `PetscDualSpace`, `PetscObjectSetFromOptions()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Examples

src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

## Implementations

PetscDualSpaceSetFromOptions_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages